> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a product

> Delete an existing product. Note: This action cannot be undone. Deleted products cannot be updated and there is no way to restore them

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['e-commerce']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-products-v1.json POST /crm-objects/v1/objects/products/batch-delete
openapi: 3.0.0
info:
  title: CRM Products API v1
  version: 1.0.0
  description: >-
    Use the products API to create and manage your product library, which is the
    collection of goods and services that your company offers. Products in your
    product library can be used as line items when creating deals, payment
    links, invoices, and quotes.
  x-hubspot-introduction: >-
    Use the products API to create and manage your product library, which is the
    collection of goods and services that your company offers. Products in your
    product library can be used as line items when creating deals, payment
    links, invoices, and quotes.
  x-hubspot-api-use-case: >-
    To prepare for an upcoming product launch, use the products API to create a
    set of products to represent your new offerings. Sales reps can then use
    these products when creating payment links, invoices, and more.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/objects/products/batch-delete:
    post:
      summary: Delete a product
      description: >-
        Delete an existing product. Note: This action cannot be undone. Deleted
        products cannot be updated and there is no way to restore them
      operationId: postcrmobjectsv1objectsproductsbatchdelete
      responses:
        '200':
          description: Successful response - Delete an existing product
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Delete a product - Example 1
                  value:
                    ids:
                      - 1642813
                      - 1645205
      security:
        - oauth2:
            - e-commerce
        - oauth2_legacy: []
        - private_apps:
            - e-commerce
        - private_apps_legacy: []
components: {}

````